This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 240177 - Review Request: perl-Text-RecordParser - Read record-oriented files
Review Request: perl-Text-RecordParser - Read record-oriented files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/Text-Reco...
:
Depends On: 240174
Blocks: perl-SQL-Translator
  Show dependency treegraph
 
Reported: 2007-05-15 12:47 EDT by Chris Weyl
Modified: 2010-09-02 17:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 19:41:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-05-15 12:47:07 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Text-RecordParser-v1.2.1-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Text-RecordParser.spec

Description:
This module is for reading record-oriented data in a delimited text file.
The most common example have records separated by newlines and fields
separated by commas or tabs, but this module aims to provide a consistent
interface for handling sequential records in a file however they may be
delimited. Typically this data lists the fields in the first line of the
file, in which case you should call bind_header to bind the field name (or
not, and it will be called implicitly). If the first line contains data,
you can still bind your own field names via bind_fields. Either way, you
can then use many methods to get at the data as arrays or hashes.
Comment 1 Jason Tibbitts 2007-05-15 20:17:31 EDT
I copied perl-Text-TabularDisplay-1.22-1.fc7.noarch.rpm into a local RPM and
tried to build this, but the tests failed due to a lack of IO::Scalar.  I added
the appropriate BR and things build fine.

rpmlint complains:
  E: perl-Text-RecordParser zero-length 
     /usr/share/doc/perl-Text-RecordParser-v1.2.1/t/data/empty
I guess if you're going to include the test suite as %doc you have little choice
but to ship that file.

Since the only issue is that missing BR:, I'll go ahead and approve and you can
add it when you check in. 

Review:
* source files match upstream:
   ba4075a4493b196eaddfa7a9425e9edfa794e7eadbeb3c75eb18bb04f2c0b19c  
   Text-RecordParser-v1.2.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
X BuildRequires missing IO::Scalar.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
O rpmlint has only ignoreable complaints.
* final provides and requires are sane:
   perl(Text::RecordParser) = 1.2.1
   perl(Text::RecordParser::Tab) = 1.0.0
   perl-Text-RecordParser = v1.2.1-1.fc7
  =
   /usr/bin/perl
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(English)
   perl(File::Basename)
   perl(Getopt::Long)
   perl(IO::Scalar)
   perl(List::MoreUtils)
   perl(List::Util)
   perl(Pod::Usage)
   perl(Readonly)
   perl(Text::ParseWords)
   perl(Text::RecordParser)
   perl(Text::TabularDisplay)
   perl(base)
   perl(strict)
   perl(version)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=14, Tests=193,  2 wallclock secs ( 1.67 cusr +  0.55 csys =  2.22 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED, but of course you'll need to add BR: perl(IO::Scalar) in order to build.
Comment 2 Chris Weyl 2007-05-15 20:38:50 EDT
New Package CVS Request
=======================
Package Name: perl-Text-RecordParser
Short Description: Read record-oriented files
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 3 Chris Weyl 2007-05-16 19:41:38 EDT
Added missing br; imported and building.  Thanks! 
Comment 4 Chris Weyl 2007-06-01 17:21:51 EDT
Please branch for F-7.  Thanks! :)
Comment 5 Jason Tibbitts 2007-06-01 18:41:11 EDT
Branch added.
Comment 6 Iain Arnell 2010-09-02 10:37:17 EDT
Package Change Request
======================
Package Name: perl-Text-RecordParser
New Branches: el6
Owners: iarnell tremble
Comment 7 Kevin Fenzi 2010-09-02 17:17:59 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.